%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define _binaries_in_noarch_packages_terminate_build 0
%global debug_package %{nil}
Summary: Boot server configurator
Name: cobbler
License: GPLv2+
AutoReq: no
Version: 2.0.7
Release: 64%{?dist}
Source0: cobbler-%{version}.tar.gz
Patch0: cobbler-pxelinux-s390x-bz580072.patch
Patch1: cobbler-xenpv-tap-driver.patch
Patch2: cobbler-koan-rhpl.patch
Patch3: koan-el6-ks-embed.patch
Patch4: cobbler-disable-check-selinux-bz706857.patch
Patch5: cobbler-disable-hardlinks-bz568801.patch
Patch6: cobbler-no-remove-pub-bz707215.patch
Patch7: cobbler-keep-ssh-snippet.patch
Patch8: cobbler-netaddr.patch
Patch9: cobbler-lvm-installation.patch
Patch10: koan-cmdline-length.patch
Patch11: cobbler-bz-253274.patch
Patch12: cobbler-token-validation.patch
Patch13: cobbler-ipv6-xmlrpc.patch
Patch14: cobbler-ipv6-snippet.patch
Patch15: koan-xz-initrd.patch
Patch16: cobbler-nic-dash.patch
Patch17: cobbler-power-vulnerability.patch
Patch18: cobbler-rhel6-bonding.patch
Patch19: cobbler-catch-cheetah-exception.patch
Patch20: cobbler-lvm-selinux.patch
Patch21: koan_no_selinux_set.patch
Patch22: cobbler-buildiso.patch
Patch23: cobbler-daemon.patch
Patch24: cobbler-rhel7-snippets.patch
Patch25: koan-rhel7-initramfs-embedding.patch
Patch26: cobbler-bootproto-post-install.patch
Patch27: cobbler-triggers.patch
Patch28: cobbler-concurrency.patch
Patch29: koan-rhel7-virtinst.patch
Patch30: koan-rhel7-ppc.patch
Patch31: cobbler-rhel7-distros.patch
Patch32: cobbler-remote-addr.patch
Patch33: cobbler-arm-arch.patch
Patch34: cobbler-modprobe-d.patch
Patch35: cobbler-findks.patch
Patch36: koan-virt-install-options.patch
Patch37: cobbler-power-status.patch
Patch38: koan-no-check_output.patch
Patch39: koan-rhel71.patch
Patch40: cobbler-unicode-scripts.patch
Patch41: cobbler-bz1052857.patch
Patch42: buildiso-boot-options.patch
Patch43: cobbler-uudecode.patch
Patch44: buildiso-no-local-hdd.patch
Patch45: cobbler-s390-kernel-options.patch
Group: Applications/System
Requires: python >= 2.3
Provides: cobbler2 = %{version}-%{release}

%if 0%{?suse_version} >= 1000
Requires: apache2
Requires: apache2-mod_python
Requires: tftp
%else
Requires: httpd
Requires: tftp-server
%endif

%if 0%{?rhel} >= 6
Requires: mod_wsgi
Requires: ipmitool
%else
Requires: mod_python
%endif

Requires: createrepo
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
Requires: genisoimage
%else
Requires: mkisofs
%endif
Requires: libyaml
Requires: python-cheetah
Requires: python-devel
Requires: python-netaddr
Requires: python-simplejson
%if 0%{?fedora} && 0%{?fedora} < 21
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
Requires: python-urlgrabber
Requires: PyYAML
%if 0%{?suse_version} < 0
BuildRequires: redhat-rpm-config
%endif
Requires: rsync
%if 0%{?fedora} >= 6 || 0%{?rhel} >= 5
Requires: yum-utils
%endif

Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig

Requires(preun): /sbin/service
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]" || echo 0)}
Requires: python(abi) >= %{pyver}
%endif

BuildRequires: PyYAML
BuildRequires: python-cheetah
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Url: http://fedorahosted.org/cobbler

%description

Cobbler is a network install server.  Cobbler 
supports PXE, virtualized installs, and 
reinstalling existing Linux machines.  The last two 
modes use a helper tool, 'koan', that 
integrates with cobbler.  There is also a web interface
'cobbler-web'.  Cobbler's advanced features 
include importing distributions from DVDs and rsync 
mirrors, kickstart templating, integrated yum 
mirroring, and built-in DHCP/DNS Management.  Cobbler has 
a XMLRPC API for integration with other applications.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p1
%patch12 -p0
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p0
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1

%build
%{__python} setup.py build 

%install
test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT
%if 0%{?suse_version} >= 1000
PREFIX="--prefix=/usr"
%endif
%{__python} setup.py install --optimize=1 --root=$RPM_BUILD_ROOT $PREFIX
mkdir $RPM_BUILD_ROOT/var/www/cobbler/rendered/

%post
if [ "$1" = "1" ];
then
    # This happens upon initial install. Upgrades will follow the next else
    /sbin/chkconfig --add cobblerd
elif [ "$1" -ge "2" ];
then
    # backup config
    if [ -e /var/lib/cobbler/distros ]; then
        cp /var/lib/cobbler/distros*  /var/lib/cobbler/backup 2>/dev/null
        cp /var/lib/cobbler/profiles* /var/lib/cobbler/backup 2>/dev/null
        cp /var/lib/cobbler/systems*  /var/lib/cobbler/backup 2>/dev/null
        cp /var/lib/cobbler/repos*    /var/lib/cobbler/backup 2>/dev/null
        cp /var/lib/cobbler/networks* /var/lib/cobbler/backup 2>/dev/null
    fi
    if [ -e /var/lib/cobbler/config ]; then
        cp -a /var/lib/cobbler/config    /var/lib/cobbler/backup 2>/dev/null
    fi
    # upgrade older installs
    # move power and pxe-templates from /etc/cobbler, backup new templates to *.rpmnew
    for n in power pxe; do
      rm -f /etc/cobbler/$n*.rpmnew
      find /etc/cobbler -maxdepth 1 -name "$n*" -type f | while read f; do
        newf=/etc/cobbler/$n/`basename $f`
        [ -e $newf ] &&  mv $newf $newf.rpmnew
        mv $f $newf
      done
    done
    # upgrade older installs
    # copy kickstarts from /etc/cobbler to /var/lib/cobbler/kickstarts
    rm -f /etc/cobbler/*.ks.rpmnew
    find /etc/cobbler -maxdepth 1 -name "*.ks" -type f | while read f; do
      newf=/var/lib/cobbler/kickstarts/`basename $f`
      [ -e $newf ] &&  mv $newf $newf.rpmnew
      cp $f $newf
    done
    # reserialize and restart
    # FIXIT: ?????
    #/usr/bin/cobbler reserialize
    /sbin/service cobblerd condrestart
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service cobblerd stop >/dev/null 2>&1 || :
    chkconfig --del cobblerd || :
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service cobblerd condrestart >/dev/null 2>&1 || :
    /sbin/service httpd condrestart >/dev/null 2>&1 || :
fi


%clean
test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT

%files

%defattr(755,apache,apache)
%dir /var/www/cobbler/pub/
%dir /var/www/cobbler/web/
/var/www/cobbler/web/index.html
%dir /var/www/cobbler/svc/
%dir /var/www/cobbler/rendered/
/var/www/cobbler/svc/*.py*
/var/www/cobbler/svc/*.wsgi*

%defattr(755,root,root)
%dir /usr/share/cobbler/installer_templates
%defattr(744,root,root)
/usr/share/cobbler/installer_templates/*.template
%defattr(744,root,root)
/usr/share/cobbler/installer_templates/defaults
#%defattr(755,apache,apache)               (MOVED to cobbler-web)
#%dir /usr/share/cobbler/webui_templates   (MOVED to cobbler-web)
#%defattr(444,apache,apache)               (MOVED to cobbler-web)
#/usr/share/cobbler/webui_templates/*.tmpl (MOVED to cobbler-web)

%defattr(755,apache,apache)
%dir /var/log/cobbler
%dir /var/log/cobbler/tasks
%dir /var/log/cobbler/kicklog
%dir /var/www/cobbler/
%dir /var/www/cobbler/localmirror
%dir /var/www/cobbler/repo_mirror
%dir /var/www/cobbler/ks_mirror
%dir /var/www/cobbler/ks_mirror/config
%dir /var/www/cobbler/images
%dir /var/www/cobbler/links
%defattr(755,apache,apache)
#%dir /var/www/cobbler/webui (MOVED to cobbler-web)
%dir /var/www/cobbler/aux
%defattr(444,apache,apache)
#/var/www/cobbler/webui/*    (MOVED TO cobbler-web)
/var/www/cobbler/aux/anamon
/var/www/cobbler/aux/anamon.init

%defattr(755,root,root)
%{_bindir}/cobbler
%{_bindir}/cobbler-ext-nodes
%{_bindir}/cobblerd

%defattr(-,root,root)
%dir /etc/cobbler
%dir /etc/cobbler/pxe
%dir /etc/cobbler/reporting
%dir /etc/cobbler/power
%config(noreplace) /var/lib/cobbler/kickstarts/*.ks
%config(noreplace) /var/lib/cobbler/kickstarts/*.seed
%config(noreplace) /etc/cobbler/*.template
%config(noreplace) /etc/cobbler/pxe/*.template
%config(noreplace) /etc/cobbler/reporting/*.template
%config(noreplace) /etc/cobbler/power/*.template
%config(noreplace) /etc/cobbler/rsync.exclude
%config(noreplace) /etc/logrotate.d/cobblerd_rotate
%config(noreplace) /etc/cobbler/modules.conf
%config(noreplace) /etc/cobbler/users.conf
%config(noreplace) /etc/cobbler/cheetah_macros
%dir %{python_sitelib}/cobbler
%dir %{python_sitelib}/cobbler/modules
%{python_sitelib}/cobbler/*.py*
#%{python_sitelib}/cobbler/server/*.py*
%{python_sitelib}/cobbler/modules/*.py*
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 5
%exclude %{python_sitelib}/cobbler/sub_process.py*
%endif
%{_mandir}/man1/cobbler.1.gz
/etc/init.d/cobblerd

%if 0%{?suse_version} >= 1000
%config(noreplace) /etc/apache2/conf.d/cobbler.conf
%else
%if 0%{?rhel} >= 6
%config(noreplace) /etc/httpd/conf.d/cobbler_wsgi.conf
%exclude /etc/httpd/conf.d/cobbler.conf
%else
%config(noreplace) /etc/httpd/conf.d/cobbler.conf
%exclude /etc/httpd/conf.d/cobbler_wsgi.conf
%endif
%endif

%dir /var/log/cobbler/syslog
%dir /var/log/cobbler/anamon

%defattr(755,root,root)
%dir /var/lib/cobbler
%dir /var/lib/cobbler/config/
%dir /var/lib/cobbler/config/distros.d/
%dir /var/lib/cobbler/config/profiles.d/
%dir /var/lib/cobbler/config/systems.d/
%dir /var/lib/cobbler/config/repos.d/
%dir /var/lib/cobbler/config/images.d/
%dir /var/lib/cobbler/kickstarts/
%dir /var/lib/cobbler/backup/
%dir /var/lib/cobbler/triggers
%dir /var/lib/cobbler/triggers/change
%dir /var/lib/cobbler/triggers/add
%dir /var/lib/cobbler/triggers/add/distro
%dir /var/lib/cobbler/triggers/add/distro/pre
%dir /var/lib/cobbler/triggers/add/distro/post
%dir /var/lib/cobbler/triggers/add/profile
%dir /var/lib/cobbler/triggers/add/profile/pre
%dir /var/lib/cobbler/triggers/add/profile/post
%dir /var/lib/cobbler/triggers/add/system
%dir /var/lib/cobbler/triggers/add/system/pre
%dir /var/lib/cobbler/triggers/add/system/post
%dir /var/lib/cobbler/triggers/add/repo
%dir /var/lib/cobbler/triggers/add/repo/pre
%dir /var/lib/cobbler/triggers/add/repo/post
%dir /var/lib/cobbler/triggers/delete
%dir /var/lib/cobbler/triggers/delete/distro
%dir /var/lib/cobbler/triggers/delete/distro/pre
%dir /var/lib/cobbler/triggers/delete/distro/post
%dir /var/lib/cobbler/triggers/delete/profile
%dir /var/lib/cobbler/triggers/delete/profile/pre
%dir /var/lib/cobbler/triggers/delete/profile/post
%dir /var/lib/cobbler/triggers/delete/system
%dir /var/lib/cobbler/triggers/delete/system/pre
%dir /var/lib/cobbler/triggers/delete/system/post
%dir /var/lib/cobbler/triggers/delete/repo
%dir /var/lib/cobbler/triggers/delete/repo/pre
%dir /var/lib/cobbler/triggers/delete/repo/post
%dir /var/lib/cobbler/triggers/sync
%dir /var/lib/cobbler/triggers/sync/pre
%dir /var/lib/cobbler/triggers/sync/post
%dir /var/lib/cobbler/triggers/install
%dir /var/lib/cobbler/triggers/install/pre
%dir /var/lib/cobbler/triggers/install/post
%dir /var/lib/cobbler/snippets/

%defattr(664,root,root)
%config(noreplace) /etc/cobbler/settings
/var/lib/cobbler/version
%config(noreplace) /var/lib/cobbler/snippets/*
%dir /var/lib/cobbler/loaders/
/var/lib/cobbler/loaders/zpxe.rexx
%defattr(660,root,root)
%config(noreplace) /etc/cobbler/users.digest 

%defattr(664,root,root)
%config(noreplace) /var/lib/cobbler/cobbler_hosts

%defattr(-,root,root)
%if 0%{?fedora} > 8 || 0%{?rhel} >= 6
%{python_sitelib}/cobbler*.egg-info
%endif
%doc AUTHORS CHANGELOG README COPYING

%package -n koan

Summary: Helper tool that performs cobbler orders on remote machines.
Group: Applications/System
Requires: python >= 1.5
Requires: python-urlgrabber
BuildRequires: python-devel
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
Requires: python(abi) >= %{pyver}
%endif
%if 0%{?fedora} && 0%{?fedora} < 21
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Url: http://fedorahosted.org/cobbler/


%description -n koan

Koan stands for kickstart-over-a-network and allows for both
network installation of new virtualized guests and reinstallation 
of an existing system.  For use with a boot-server configured with Cobbler

%files -n koan
%defattr(-,root,root)
# FIXME: need to generate in setup.py
#%if 0%{?fedora} > 8
#%{python_sitelib}/koan*.egg-info
#%endif
%dir /var/spool/koan
%{_bindir}/koan
%{_bindir}/cobbler-register
%dir %{python_sitelib}/koan
%{python_sitelib}/koan/*.py*
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 5
%exclude %{python_sitelib}/koan/sub_process.py*
%exclude %{python_sitelib}/koan/opt_parse.py*
%exclude %{python_sitelib}/koan/text_wrap.py*
%endif
%{_mandir}/man1/koan.1.gz
%{_mandir}/man1/cobbler-register.1.gz
%dir /var/log/koan
%doc AUTHORS COPYING CHANGELOG README


%package -n cobbler-web

Summary: Web interface for Cobbler
Group: Applications/System
Requires: cobbler
Requires: Django
%if 0%{?suse_version} >= 1000
Requires: apache2-mod_python
%else
Requires: mod_python
%endif
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
Requires: python(abi) >= %{pyver}
%endif
%if 0%{?fedora} && 0%{?fedora} < 21
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Url: http://fedorahosted.org/cobbler/

%description -n cobbler-web

Web interface for Cobbler that allows visiting http://server/cobbler_web to configure the install server.

%files -n cobbler-web
%defattr(-,apache,apache)
%dir /usr/share/cobbler/web
/usr/share/cobbler/web/*
%dir /usr/share/cobbler/web/cobbler_web
/usr/share/cobbler/web/cobbler_web/*
%config(noreplace) /etc/httpd/conf.d/cobbler_web.conf
%dir /var/lib/cobbler/webui_sessions
%dir /var/www/cobbler_webui_content
/var/www/cobbler_webui_content/*
%doc AUTHORS COPYING CHANGELOG README

%changelog
* Mon Oct 05 2015 Tomas Kasparek <tkasparek@redhat.com> 2.0.7-64
- 1078820 - timeout to 1st available profile with --no-local-hdd instead of
  local hdd

* Wed Sep 09 2015 Tomas Kasparek <tkasparek@redhat.com> 2.0.7-63
- 1199214 - removing kernel options for s390 systems
- add option to skip local harddrive as buildiso entry

* Wed Jul 29 2015 Grant Gainey 2.0.7-62
- 1245769 - Apply fix to remaining codepath

* Tue Jul 28 2015 Grant Gainey 2.0.7-61
- Having a patch isn't enough, the spec has to actually *apply* it

* Wed Jul 22 2015 Grant Gainey 2.0.7-60
- Let cobbler handle urlencoded URLs (see upstream commit
  c9a51eec74a66d5034c47f08212177884642d70e  for full explanation)

* Mon Jun 29 2015 Jan Dobes 2.0.7-59
- Revert "fix adding netmask kernel parameter into isolinux.cfg"

* Thu Jun 25 2015 Tomas Kasparek <tkasparek@redhat.com> 2.0.7-58
- 1095198 - fixing multiple nameserver boot options on rhel7 and fedora
- fix adding netmask kernel parameter into isolinux.cfg

* Tue Jun 02 2015 Jan Dobes 2.0.7-57
- 1227340 - fixing order of cheetah keywords

* Wed May 20 2015 Grant Gainey 2.0.7-56
- 1052857 - fix typo in patch

* Wed May 06 2015 Stephen Herr <sherr@redhat.com> 2.0.7-55
- 1052857 - remove python timing window for incorrect file permissions
- 1096263 - set Cheetah templates to use UTF-8

* Thu Jan 22 2015 Stephen Herr <sherr@redhat.com> 2.0.7-54
- 1184595 - update koan to be compatible with rhel 7.1 virt-install

* Mon Jan 12 2015 Stephen Herr <sherr@redhat.com> 2.0.7-53
- 1181286 - check_output is only available on RHEL 7

* Fri Dec 05 2014 Tomas Lestach <tlestach@redhat.com> 2.0.7-52
- 1169741 - accept more power status messages

* Mon Dec 01 2014 Stephen Herr <sherr@redhat.com> 2.0.7-51
- 1162311 - remove comment from power template

* Mon Nov 10 2014 Stephen Herr <sherr@redhat.com> 2.0.7-50
- 1162337 - install ipmitool by default so that power management will work
- 1162311 - add status power command support to cobbler

* Thu Nov 06 2014 Stephen Herr <sherr@redhat.com> 2.0.7-49
- 1002467 - add optional virt-install options to koan
- cobbler (koan) is in RHN Tools which we build on all RHEL 5/6/7

* Fri Sep 26 2014 Stephen Herr <sherr@redhat.com> 2.0.7-48
- 1138710 - fixing arm-arch patch, cobbler-2.0.7 does not have cache arg

* Thu Sep 11 2014 Stephen Herr <sherr@redhat.com> 2.0.7-47
- 979966 - auto-trialing-whitespace trim broke patch file
- 905129 - add support for cobbler findks operation

* Thu Sep 11 2014 Michael Mraka <michael.mraka@redhat.com> 2.0.7-46
- 979966 - support modprobe.d on RHEL6

* Fri Sep 05 2014 Stephen Herr <sherr@redhat.com> 2.0.7-45
- 1138710 - cobbler should support provisioning aarch64 systems

* Mon Jun 02 2014 Stephen Herr <sherr@redhat.com> 2.0.7-44
- 1057785 - set REMOTE_ADDR for cobbler triggers

* Wed Apr 09 2014 Stephen Herr <sherr@redhat.com> 2.0.7-43
- 1051160 - update available distros to include rhel7

* Tue Mar 25 2014 Stephen Herr <sherr@redhat.com> 2.0.7-42
- 1073822 - koan needs to be grub2 aware for ppc

* Thu Dec 05 2013 Stephen Herr <sherr@redhat.com> 2.0.7-41
- 1029493 - fixing koan guest arch and kvm acceleration issue

* Fri Nov 22 2013 Stephen Herr <sherr@redhat.com> 2.0.7-40
- 1029493 - provisioning virtual guests on rhel 7 fails

* Thu Oct 24 2013 Stephen Herr <sherr@redhat.com> 2.0.7-39
- 1008967 - adding finally blocks to lock releases - cobbler concurrency

* Mon Oct 21 2013 Stephen Herr <sherr@redhat.com> 2.0.7-38
- 1008967 - better concurrency in cobbler

* Wed Jul 17 2013 Stephen Herr <sherr@redhat.com> 2.0.7-37
- 856944 - make cobbler triggers work

* Fri Jul 12 2013 Stephen Herr <sherr@redhat.com> 2.0.7-36
- 506485 - spaces in the source file mean you have to keep spaces in the patch

* Fri Jul 12 2013 Stephen Herr <sherr@redhat.com> 2.0.7-35
- 506485 - cobbler buildiso documentation updates

* Fri Jul 12 2013 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-34
- 895096 - correctly setup dhcp networking for new systems
- 886609 - Support for ks.cfg initramfs embedding on RHEL-7
- 883885 - pre/post install_network_config: RHEL-7 support

* Thu Jul 11 2013 Stephen Herr <sherr@redhat.com> 2.0.7-33
- 978601 - fixing cobbler buildiso selinux issue

* Tue Jun 18 2013 Michael Mraka <michael.mraka@redhat.com> 2.0.7-32
- 718238 - detach daemon from terminal

* Wed May 22 2013 Stephen Herr <sherr@redhat.com> 2.0.7-29
- 506485 - Cobbler buildiso changes
- update dist-git branches for cobbler

* Wed Apr 10 2013 Tomas Lestach <tlestach@redhat.com> 2.0.7-28
- 768451 - do not set selinux context for patition locations

* Wed Mar 27 2013 Stephen Herr <sherr@redhat.com> 2.0.7-27
- 768451 - bumping build number so the tag won't interfere with SATELLITE-5.5
- 768451 - actually adding the patch is a good thing
- 768451 - /dev/mapper doesn't work with lvm if selinux is on

* Tue Mar 19 2013 Michael Mraka <michael.mraka@redhat.com> 2.0.7-24
- provide cobbler2 to satisfy deps in spacewalk 1.8+ packages

* Tue Nov 20 2012 Tomas Lestach <tlestach@redhat.com> 2.0.7-23
- fix patch to match --fuzz=0 option on rhel6

* Tue Nov 20 2012 Tomas Lestach <tlestach@redhat.com> 2.0.7-22
- 866326 - catch cheetah exception in mod_pythod/mod_wsgi and forward it as 500
  SERVER ERROR

* Thu Sep 06 2012 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-21
- 784049 - support XZ packes ramdisk: correct bash syntax

* Fri Aug 24 2012 Stephen Herr <sherr@redhat.com> 2.0.7-20
- 589318 - make sure modprobe.conf exists if we need to create a bond
- updating tito configs to move from Satellite-5.x* to Satellite-5.5* branches

* Tue Jul 03 2012 Stephen Herr <sherr@redhat.com> 2.0.7-19
- 836545 - have to convert from unicode to string on RHEL 6

* Fri Jun 29 2012 Stephen Herr <sherr@redhat.com> 2.0.7-18
- 830662 - fixing power vulnerability patch so that templated commands will run
  properly
- 830662 - fixing 'no power type set for system' errors

* Thu Jun 21 2012 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-17
- 784049 - correct support for xz packed ramdisk

* Mon Jun 11 2012 Jan Pazdziora 2.0.7-16
- CVE-2012-2395 - power vulnerability patch. (sherr@redhat.com)
- update build settings for cobbler (mzazrivec@redhat.com)

* Wed Mar 14 2012 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-15
- 789037 - handle nic with a dash correctly (mzazrivec@redhat.com)
- 784049 - support for XZ packed ramdisk (mzazrivec@redhat.com)
- 784912 - post_install_network snippet: IPv6 support (mzazrivec@redhat.com)
- 717884 - make cobblerd work in IPv6 environment (mzazrivec@redhat.com)

* Thu Dec 08 2011 Tomas Lestach <tlestach@redhat.com> 2.0.7-14
- 723060 - fix token validation (tlestach@redhat.com)

* Fri Sep 23 2011 Miroslav Suchý 2.0.7-13
- 253274 - if resolving to ip address fail, use hostname

* Wed Aug 24 2011 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-12
- 728268 - update allowed kernel command line parameter length
- 708347 - fix koan error when provisioning VM to use a logical volume
- 717344 - fix problem with CIDR network notation in RHEL-6
- 723898 - fix keep_ssh_host_keys snippet

* Fri May 27 2011 Jan Pazdziora 2.0.7-11
- 707215 - cobbler should not remove pub during sync as the cobbler rpm owns
  that directory.

* Wed May 25 2011 Jan Pazdziora 2.0.7-10
- 568801 - hardlinks ruin SELinux contexts because multiple paths match, avoid
  hardlinks.

* Wed May 25 2011 Jan Pazdziora 2.0.7-9
- 706857 - disable the SELinux part of cobbler check.

* Thu Mar 31 2011 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-8
- 673388 - embed kickstart file into ramdisk for RHEL-6 and static networking

* Mon Mar 28 2011 Tomas Lestach <tlestach@redhat.com> 2.0.7-7
- remove fence-agents Require from cobbler (tlestach@redhat.com)
- We need to be building cobbler / koan for RHEL-4 as well
  (mzazrivec@redhat.com)

* Mon Jan 10 2011 Milan Zazrivec <mzazrivec@redhat.com> 2.0.7-6
- 660673 - RHEL-6: replace rhpl with ethtool
- 610174 - use tap driver for Xen PV disks

* Thu Dec 02 2010 Jan Pazdziora 2.0.7-5
- 580072 - avoid copying pxelinux.0 on arches where it is not present (s390x).

* Tue Oct 26 2010 Justin Sherrill <jsherril@redhat.com> 2.0.7-4
- fixing previous dep for koan to not appear within an if statement
  (jsherril@redhat.com)

* Mon Oct 25 2010 Justin Sherrill <jsherril@redhat.com> 2.0.7-3
- adding missing python-urlgrabber dep for koan (jsherril@redhat.com)

* Mon Oct 18 2010 Shannon Hughes <shughes@redhat.com> 2.0.7-2
- combine patches into new version build (shughes@redhat.com)
- build.py.props for cobbler (mzazrivec@redhat.com)

* Wed Oct 18 2010 Scott Henson <shenson@redhat.com> - 2.0.7-1
- Bug fix relase, see Changelog for details

* Tue Jul 13 2010 Scott Henson <shenson@redhat.com> - 2.0.5-1
- Bug fix release, see Changelog for details

* Tue Apr 27 2010 Scott Henson <shenson@redhat.com> - 2.0.4-1
- Bug fix release, see Changelog for details

* Mon Mar  1 2010 Scott Henson <shenson@redhat.com> - 2.0.3.1-3
- Bump release because I forgot cobbler-web

* Mon Mar  1 2010 Scott Henson <shenson@redhat.com> - 2.0.3.1-2
- Remove requires on mkinitrd as it is not used

* Mon Feb 15 2010 Scott Henson <shenson@redhat.com> - 2.0.3.1-1
- Upstream Brown Paper Bag Release (see CHANGELOG)

* Thu Feb 11 2010 Scott Henson <shenson@redhat.com> - 2.0.3-1
- Upstream changes (see CHANGELOG)

* Mon Nov 23 2009 John Eckersberg <jeckersb@redhat.com> - 2.0.2-1
- Upstream changes (see CHANGELOG)

* Tue Sep 15 2009 Michael DeHaan <mdehaan@redhat.com> - 2.0.0-1
- First release with unified spec files

